curl --request POST \
--url https://api.iotools.cloud/v1/tool/har-file-formatter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"harInput": "{\n \"log\": {\n \"version\": \"1.2\",\n \"creator\": {\n \"name\": \"IO Tools Example\",\n \"version\": \"1.0\"\n },\n \"entries\": [\n {\n \"startedDateTime\": \"2025-03-01T14:00:00.000Z\",\n \"time\": 220,\n \"request\": {\n \"method\": \"GET\",\n \"url\": \"https://example.com/\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"queryString\": [],\n \"cookies\": [],\n \"headersSize\": 220,\n \"bodySize\": 0\n },\n \"response\": {\n \"status\": 200,\n \"statusText\": \"OK\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"cookies\": [],\n \"content\": {\n \"size\": 1256,\n \"mimeType\": \"text/html\"\n },\n \"redirectURL\": \"\",\n \"headersSize\": 180,\n \"bodySize\": 1256\n },\n \"cache\": {},\n \"timings\": {\n \"blocked\": 5,\n \"dns\": 12,\n \"connect\": 30,\n \"ssl\": 18,\n \"send\": 1,\n \"wait\": 150,\n \"receive\": 22\n }\n },\n {\n \"startedDateTime\": \"2025-03-01T14:00:00.230Z\",\n \"time\": 95,\n \"request\": {\n \"method\": \"GET\",\n \"url\": \"https://example.com/assets/app.css\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"queryString\": [],\n \"cookies\": [],\n \"headersSize\": 160,\n \"bodySize\": 0\n },\n \"response\": {\n \"status\": 200,\n \"statusText\": \"OK\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"cookies\": [],\n \"content\": {\n \"size\": 4321,\n \"mimeType\": \"text/css\"\n },\n \"redirectURL\": \"\",\n \"headersSize\": 140,\n \"bodySize\": 4321\n },\n \"cache\": {},\n \"timings\": {\n \"blocked\": 1,\n \"dns\": 0,\n \"connect\": 0,\n \"ssl\": 0,\n \"send\": 0,\n \"wait\": 70,\n \"receive\": 24\n }\n },\n {\n \"startedDateTime\": \"2025-03-01T14:00:00.420Z\",\n \"time\": 320,\n \"request\": {\n \"method\": \"POST\",\n \"url\": \"https://api.example.com/v1/orders\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"queryString\": [],\n \"cookies\": [],\n \"headersSize\": 240,\n \"bodySize\": 78,\n \"postData\": {\n \"mimeType\": \"application/json\",\n \"text\": \"{\\\"productId\\\":\\\"sku-42\\\",\\\"qty\\\":2,\\\"currency\\\":\\\"USD\\\"}\"\n }\n },\n \"response\": {\n \"status\": 201,\n \"statusText\": \"Created\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"cookies\": [],\n \"content\": {\n \"size\": 142,\n \"mimeType\": \"application/json\"\n },\n \"redirectURL\": \"\",\n \"headersSize\": 130,\n \"bodySize\": 142\n },\n \"cache\": {},\n \"timings\": {\n \"blocked\": 1,\n \"dns\": 8,\n \"connect\": 22,\n \"ssl\": 18,\n \"send\": 1,\n \"wait\": 240,\n \"receive\": 30\n }\n },\n {\n \"startedDateTime\": \"2025-03-01T14:00:00.760Z\",\n \"time\": 80,\n \"request\": {\n \"method\": \"GET\",\n \"url\": \"https://api.example.com/v1/missing\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"queryString\": [],\n \"cookies\": [],\n \"headersSize\": 150,\n \"bodySize\": 0\n },\n \"response\": {\n \"status\": 404,\n \"statusText\": \"Not Found\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"cookies\": [],\n \"content\": {\n \"size\": 35,\n \"mimeType\": \"application/json\"\n },\n \"redirectURL\": \"\",\n \"headersSize\": 110,\n \"bodySize\": 35\n },\n \"cache\": {},\n \"timings\": {\n \"blocked\": 1,\n \"dns\": 0,\n \"connect\": 0,\n \"ssl\": 0,\n \"send\": 0,\n \"wait\": 70,\n \"receive\": 9\n }\n }\n ]\n }\n}",
"filterSearch": "",
"filterMethod": "any",
"filterStatus": "any",
"filterType": "any"
}
'{
"tool": "har-file-formatter",
"tool_version": "1.0.1",
"outputs": {
"summary": [
{
"metric": "Showing",
"value": "4 of 4"
},
{
"metric": "OK",
"value": "3"
},
{
"metric": "Errors",
"value": "1"
},
{
"metric": "Transfer Size",
"value": "6.17 KB"
},
{
"metric": "Content Size",
"value": "5.62 KB"
}
],
"results": [
{
"method": "GET",
"status": "200",
"type": "document",
"url": "https://example.com/",
"transfer-size": "1.40 KB",
"time": "220 ms"
},
{
"method": "GET",
"status": "200",
"type": "stylesheet",
"url": "https://example.com/assets/app.css",
"transfer-size": "4.36 KB",
"time": "95 ms"
},
{
"method": "POST",
"status": "201",
"type": "xhr",
"url": "https://api.example.com/v1/orders",
"transfer-size": "272 B",
"time": "320 ms"
},
{
"method": "GET",
"status": "404",
"type": "xhr",
"url": "https://api.example.com/v1/missing",
"transfer-size": "145 B",
"time": "80 ms"
}
]
},
"credits_used": 3,
"credits_remaining": null
}Formatters
HAR File Formatter
Parse and filter a HAR (HTTP Archive) file — search by URL, method, status class or content type, and see per-request size and timing in a sortable table.
POST
/
v1
/
tool
/
har-file-formatter
curl --request POST \
--url https://api.iotools.cloud/v1/tool/har-file-formatter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"harInput": "{\n \"log\": {\n \"version\": \"1.2\",\n \"creator\": {\n \"name\": \"IO Tools Example\",\n \"version\": \"1.0\"\n },\n \"entries\": [\n {\n \"startedDateTime\": \"2025-03-01T14:00:00.000Z\",\n \"time\": 220,\n \"request\": {\n \"method\": \"GET\",\n \"url\": \"https://example.com/\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"queryString\": [],\n \"cookies\": [],\n \"headersSize\": 220,\n \"bodySize\": 0\n },\n \"response\": {\n \"status\": 200,\n \"statusText\": \"OK\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"cookies\": [],\n \"content\": {\n \"size\": 1256,\n \"mimeType\": \"text/html\"\n },\n \"redirectURL\": \"\",\n \"headersSize\": 180,\n \"bodySize\": 1256\n },\n \"cache\": {},\n \"timings\": {\n \"blocked\": 5,\n \"dns\": 12,\n \"connect\": 30,\n \"ssl\": 18,\n \"send\": 1,\n \"wait\": 150,\n \"receive\": 22\n }\n },\n {\n \"startedDateTime\": \"2025-03-01T14:00:00.230Z\",\n \"time\": 95,\n \"request\": {\n \"method\": \"GET\",\n \"url\": \"https://example.com/assets/app.css\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"queryString\": [],\n \"cookies\": [],\n \"headersSize\": 160,\n \"bodySize\": 0\n },\n \"response\": {\n \"status\": 200,\n \"statusText\": \"OK\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"cookies\": [],\n \"content\": {\n \"size\": 4321,\n \"mimeType\": \"text/css\"\n },\n \"redirectURL\": \"\",\n \"headersSize\": 140,\n \"bodySize\": 4321\n },\n \"cache\": {},\n \"timings\": {\n \"blocked\": 1,\n \"dns\": 0,\n \"connect\": 0,\n \"ssl\": 0,\n \"send\": 0,\n \"wait\": 70,\n \"receive\": 24\n }\n },\n {\n \"startedDateTime\": \"2025-03-01T14:00:00.420Z\",\n \"time\": 320,\n \"request\": {\n \"method\": \"POST\",\n \"url\": \"https://api.example.com/v1/orders\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"queryString\": [],\n \"cookies\": [],\n \"headersSize\": 240,\n \"bodySize\": 78,\n \"postData\": {\n \"mimeType\": \"application/json\",\n \"text\": \"{\\\"productId\\\":\\\"sku-42\\\",\\\"qty\\\":2,\\\"currency\\\":\\\"USD\\\"}\"\n }\n },\n \"response\": {\n \"status\": 201,\n \"statusText\": \"Created\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"cookies\": [],\n \"content\": {\n \"size\": 142,\n \"mimeType\": \"application/json\"\n },\n \"redirectURL\": \"\",\n \"headersSize\": 130,\n \"bodySize\": 142\n },\n \"cache\": {},\n \"timings\": {\n \"blocked\": 1,\n \"dns\": 8,\n \"connect\": 22,\n \"ssl\": 18,\n \"send\": 1,\n \"wait\": 240,\n \"receive\": 30\n }\n },\n {\n \"startedDateTime\": \"2025-03-01T14:00:00.760Z\",\n \"time\": 80,\n \"request\": {\n \"method\": \"GET\",\n \"url\": \"https://api.example.com/v1/missing\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"queryString\": [],\n \"cookies\": [],\n \"headersSize\": 150,\n \"bodySize\": 0\n },\n \"response\": {\n \"status\": 404,\n \"statusText\": \"Not Found\",\n \"httpVersion\": \"HTTP/2\",\n \"headers\": [],\n \"cookies\": [],\n \"content\": {\n \"size\": 35,\n \"mimeType\": \"application/json\"\n },\n \"redirectURL\": \"\",\n \"headersSize\": 110,\n \"bodySize\": 35\n },\n \"cache\": {},\n \"timings\": {\n \"blocked\": 1,\n \"dns\": 0,\n \"connect\": 0,\n \"ssl\": 0,\n \"send\": 0,\n \"wait\": 70,\n \"receive\": 9\n }\n }\n ]\n }\n}",
"filterSearch": "",
"filterMethod": "any",
"filterStatus": "any",
"filterType": "any"
}
'{
"tool": "har-file-formatter",
"tool_version": "1.0.1",
"outputs": {
"summary": [
{
"metric": "Showing",
"value": "4 of 4"
},
{
"metric": "OK",
"value": "3"
},
{
"metric": "Errors",
"value": "1"
},
{
"metric": "Transfer Size",
"value": "6.17 KB"
},
{
"metric": "Content Size",
"value": "5.62 KB"
}
],
"results": [
{
"method": "GET",
"status": "200",
"type": "document",
"url": "https://example.com/",
"transfer-size": "1.40 KB",
"time": "220 ms"
},
{
"method": "GET",
"status": "200",
"type": "stylesheet",
"url": "https://example.com/assets/app.css",
"transfer-size": "4.36 KB",
"time": "95 ms"
},
{
"method": "POST",
"status": "201",
"type": "xhr",
"url": "https://api.example.com/v1/orders",
"transfer-size": "272 B",
"time": "320 ms"
},
{
"method": "GET",
"status": "404",
"type": "xhr",
"url": "https://api.example.com/v1/missing",
"transfer-size": "145 B",
"time": "80 ms"
}
]
},
"credits_used": 3,
"credits_remaining": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
HAR Content
Search
Method
Available options:
any, GET, POST, PUT, PATCH, DELETE, HEAD, OPTIONS Status
Available options:
any, 2xx, 3xx, 4xx, 5xx, failed Type
Available options:
any, document, xhr, script, stylesheet, image, font, media, other Response
Tool output
Show child attributes
Show child attributes
The tool's slug, echoing the {slug} in the request path.
Output-contract version for this tool.
Credits this call consumed, after any settlement refund. 0 when metering is disabled.
Credits left in the current monthly allowance, or null when metering is disabled.
Correlation id, also sent as x-request-id.
Was this page helpful?
⌘I